/***************************************************************************
**
**    $Header:   D:/EPSLDV1/SRC/LOG/AAOPTION.CPP   1.6   20 Jun 1996 09:28:20   ZJRD  $
**
**    $Log:   D:/EPSLDV1/SRC/LOG/AAOPTION.CPP  $
** 
**    Rev 1.6   20 Jun 1996 09:28:20   ZJRD
** EasyPack/SLD Version 1.20a
** 
**    Rev 1.4   10 Jun 1996 10:22:58   ZJRD
** EasyPack/SLD Version 1.20
** 
**    Rev 1.2   29 May 1996 09:33:58   ZJRD
** EasyPack/SLD Version 1.95
** 
****************************************************************************/

/////////////////////////////////////////////////////////////////////////////
// aaoption.cpp
//
// Roger Zhang
//                                                                           
// 5/2/96
//
/////////////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "resource.h"

#include "toolopt.h"
#include "aa.h"
#include "aaoption.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// AAOption dialog


AAOption::AAOption(AATool * pTool)
    : CPropertyPage(AAOption::IDD)
{                                
    ASSERT(pTool);              
    
    m_pTool = pTool;
    
    LoadData();
    
    //{{AFX_DATA_INIT(AAOption)
     
    //}}AFX_DATA_INIT
}

void AAOption::DoDataExchange(CDataExchange* pDX)
{
    CPropertyPage::DoDataExchange(pDX);
    //{{AFX_DATA_MAP(AAOption)
    DDX_Check(pDX, IDC_AAOPT_CASE, m_fCase);
    DDX_Check(pDX, IDC_AAOPT_DEBUG, m_fDebug);
    DDX_Check(pDX, IDC_AAOPT_LIST, m_fList);
    DDX_Check(pDX, IDC_AAOPT_LISTALL, m_fListAll);
    DDX_Check(pDX, IDC_AAOPT_OPTIMIZE, m_fOptimize);
    DDX_Text(pDX, IDC_AAOPT_MORE, m_strMore);
    DDX_Text(pDX, IDC_AAOPT_PATH_EDIT, m_strPath);
    //}}AFX_DATA_MAP
}

void AAOption::SaveData(void)
{                                  
    //UpdateData(TRUE);

    m_pTool->m_fCase     = m_fCase;
    m_pTool->m_fDebug    = m_fDebug;
    m_pTool->m_fList     = m_fList;
    m_pTool->m_fListAll  = m_fListAll;
    m_pTool->m_fOptimize = m_fOptimize;
    m_pTool->m_strMore   = m_strMore;
    m_pTool->m_strPath   = m_strPath;
}

void AAOption::LoadData(void)
{
    m_fCase     = m_pTool->m_fCase;
    m_fDebug    = m_pTool->m_fDebug;
    m_fList     = m_pTool->m_fList;
    m_fListAll  = m_pTool->m_fListAll;
    m_fOptimize = m_pTool->m_fOptimize;
    m_strMore   = m_pTool->m_strMore;
    m_strPath   = m_pTool->m_strPath;
}

BEGIN_MESSAGE_MAP(AAOption, CPropertyPage)
    //{{AFX_MSG_MAP(AAOption)
        // NOTE: the ClassWizard will add message map macros here
    //}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// AAOption message handlers
